#include <djFileInfo.h>
#include <stdio.h>

using namespace dj;

int main(int argc, char ** argv)
{
  if (argc != 2) {
    printf("Usage: fileSeq (file name)\n");
    return 1;
  }
  
  FileInfo info(argv[1]);
  printf(
    "%s|%s|%s|%s\n",
    info.path().toAscii(),
    info.base().toAscii(),
    info.number().toAscii(),
    info.extension().toAscii()
  );
}
